Bug 1418771 (CVE-2017-5630) - CVE-2017-5630 php-pear: File overwrite by malicious server
Summary: CVE-2017-5630 php-pear: File overwrite by malicious server
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5630
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418773
Blocks: 1418772
TreeView+ depends on / blocked
 
Reported: 2017-02-02 16:54 UTC by Andrej Nemec
Modified: 2021-02-17 02:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in php-pear where if a malicious server responded to a pear
Clone Of:
Environment:
Last Closed: 2017-04-06 07:08:47 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-02 16:54:02 UTC
PECL in the download utility class in the Installer in PEAR Base System
v1.10.1 does not validate file types and filenames after a redirect,
which allows remote HTTP servers to overwrite files via crafted
responses, as demonstrated by a .htaccess overwrite.

Upstream bug:

http://pear.php.net/bugs/bug.php?id=21171

Comment 1 Andrej Nemec 2017-02-02 16:56:06 UTC
Created php-pear tracking bugs for this issue:

Affects: fedora-all [bug 1418773]

Comment 3 Doran Moppert 2017-04-06 07:07:07 UTC
Mitigation:

This vulnerability only allows files in the current directory to be overwritten, so using `pear download` in a temporary directory effectively mitigates the risk of a dangerous file overwrite occurring.

Comment 4 Doran Moppert 2017-04-06 07:07:16 UTC
Statement:

Since pear's purpose is to download libraries for inclusion in an application, any use of `pear install` or `pear download` implicitly trusts the server. This vulnerability does not significantly extend the trust already given to pear and to servers used with it.


Note You need to log in before you can comment on or make changes to this bug.